#ifndef _PRODONCODE_H
#define _PRODONCODE_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProdOnCode;
}

class ProdOnCode : public QDialog
{
    Q_OBJECT

public:
    explicit ProdOnCode(QWidget *parent = nullptr);
    ~ProdOnCode();

signals:
    void setStatus(QString);

private slots:
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableOnCode;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
